<!-- Title -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', self::$text_domain); ?></label></strong>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>"><br/>
	<em><?php _e('What displays above widget content.', self::$text_domain); ?></em>
</p>

<!-- Content -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'content' ); ?>"><?php _e( 'Content Type:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'content' ); ?>" name="<?php echo $this->get_field_name( 'content' ); ?>" class="<?php echo $id_prefix; ?>content">
		<option value="all_post_types" <?php echo isset($content) && $content == 'all_post_types' ? 'selected' : ''; ?>><?php _e( 'All Post Types', self::$text_domain); ?></option>
		<option value="only_posts" <?php echo isset($content) && $content == 'only_posts' ? 'selected' : ''; ?>><?php _e( 'Only Posts', self::$text_domain); ?></option>
		<option value="only_pages" <?php echo isset($content) && $content == 'only_pages' ? 'selected' : ''; ?>><?php _e( 'Only Pages', self::$text_domain); ?></option>
		<option value="category" <?php echo isset($content) && $content == 'category' ? 'selected' : ''; ?>><?php _e( 'Posts in category', self::$text_domain); ?></option>
		<option value="tag" <?php echo isset($content) && $content == 'tag' ? 'selected' : ''; ?>><?php _e( 'Posts with tag', self::$text_domain); ?></option>

		<?php if ($custom_post_types) { ?>
			<option value="custom_post_type" <?php echo isset($content) && $content == 'custom_post_type' ? 'selected' : ''; ?>><?php _e( 'Custom Post Type', self::$text_domain); ?></option>
		<?php } ?>

	</select><br/>
	<em><?php _e('The type of posts that will be in the popular posts list.', self::$text_domain); ?></em><br/>
	<em><?php _e('Please save widget before changing this setting.', self::$text_domain); ?></em>
</p>

<!-- Content posts in category -->

<p class="<?php echo $id_prefix; ?>category">
	<strong><label for="<?php echo $this->get_field_id( 'content_post_category' ); ?>"><?php _e( 'Category:', self::$text_domain); ?></label></strong>
	<select multiple="multiple" id="<?php echo $this->get_field_id( 'content_post_category' ); ?>" name="<?php echo $this->get_field_name( 'content_post_category' ); ?>[]">
		<?php
		$categories = get_categories();
		foreach ($categories as $category) { ?>
			<option value="<?php echo $category->cat_ID; ?>" <?php echo isset($content_post_category) && is_array($content_post_category) && in_array($category->cat_ID, $content_post_category) ? 'selected' : ''; ?>><?php echo $category->cat_name; ?></option>
		<?php } ?>
	</select><br/>
	<em><?php _e('Only show posts that are in this/these category/ies. To select multiple categories, hold down CTRL (PC) or CMD (Mac) and select the values desired', self::$text_domain); ?></em>
</p>

<!-- Content posts in tag -->

<p class="<?php echo $id_prefix; ?>tag">
	<strong><label for="<?php echo $this->get_field_id( 'content_post_tag' ); ?>"><?php _e( 'Tag:', self::$text_domain); ?></label></strong>
	<input class="widefat" id="<?php echo $this->get_field_id( 'content_post_tag' ); ?>" name="<?php echo $this->get_field_name( 'content_post_tag' ); ?>" type="text" value="<?php echo esc_attr( $content_post_tag ); ?>"><br/>
	<em><?php _e('Only show posts that have this/these tags. To select multiple tags, separate them with a comma (ex: tag1, tag2, tag3)', self::$text_domain); ?></em>
</p>

<?php if ($custom_post_types) { ?>

<!-- Content custom post type -->

<p class="<?php echo $id_prefix; ?>custom-post-type">
	<strong><label for="<?php echo $this->get_field_id( 'content_custom_post_type' ); ?>"><?php _e( 'Custom Post Type:', self::$text_domain); ?></label></strong>
	<select multiple="multiple" id="<?php echo $this->get_field_id( 'content_custom_post_type' ); ?>" name="<?php echo $this->get_field_name( 'content_custom_post_type' ); ?>[]">
		<?php
		$post_types = get_post_types(array( 'public'   => true, '_builtin' => false));
		foreach ($post_types as $post_type) { ?>
			<option value="<?php echo $post_type; ?>" <?php echo isset($content_custom_post_type) && is_array($content_custom_post_type) && in_array($post_type, $content_custom_post_type) ? 'selected' : ''; ?>><?php echo $post_type; ?></option>
		<?php } ?>
	</select><br/>
	<em><?php _e('Only show posts that are of this/these custom post type/s. To select multiple categories, hold down CTRL (PC) or CMD (Mac) and select the values desired', self::$text_domain); ?></em>
</p>

<?php } ?>

<!-- Time Range -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'time_range' ); ?>"><?php _e( 'Time Range:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'time_range' ); ?>" name="<?php echo $this->get_field_name( 'time_range' ); ?>">
		<option value="1_day" <?php echo isset($time_range) && $time_range == '1_day' ? 'selected' : ''; ?>><?php _e( '1 Day', self::$text_domain); ?></option>
		<option value="7_days" <?php echo isset($time_range) && $time_range == '7_days' ? 'selected' : ''; ?>><?php _e( '7 Days', self::$text_domain); ?></option>
		<option value="30_days" <?php echo isset($time_range) && $time_range == '30_days' ? 'selected' : ''; ?>><?php _e( '30 Days', self::$text_domain); ?></option>
		<option value="1_year" <?php echo isset($time_range) && $time_range == '1_year' ? 'selected' : ''; ?>><?php _e( '1 Year', self::$text_domain); ?></option>
		<option value="all_time" <?php echo isset($time_range) && $time_range == 'all_time' ? 'selected' : ''; ?>><?php _e( 'All time', self::$text_domain); ?></option>
	</select><br/>
	<em><?php _e('The time range from which the posts have been published.', self::$text_domain); ?></em>
</p>

<!-- Layout -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'layout' ); ?>"><?php _e( 'Layout:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'layout' ); ?>" name="<?php echo $this->get_field_name( 'layout' ); ?>" class="<?php echo $id_prefix; ?>layout">
		<option value="list" <?php echo isset($layout) && $layout == 'list' ? 'selected' : ''; ?>><?php _e( 'List', self::$text_domain); ?></option>
		<option value="numbered_list" <?php echo isset($layout) && $layout == 'numbered_list' ? 'selected' : ''; ?>><?php _e( 'Numbered List', self::$text_domain); ?></option>
		<option value="thumbnail" <?php echo isset($layout) && $layout == 'thumbnail' ? 'selected' : ''; ?>><?php _e( 'Thumbnail', self::$text_domain); ?></option>
		<option value="image_tile" <?php echo isset($layout) && $layout == 'image_tile' ? 'selected' : ''; ?>><?php _e( 'Image Tiles', self::$text_domain); ?></option>
		<option value="masonry" <?php echo isset($layout) && $layout == 'masonry' ? 'selected' : ''; ?>><?php _e( 'Masonry', self::$text_domain); ?></option>
		<option value="grid" <?php echo isset($layout) && $layout == 'grid' ? 'selected' : ''; ?>><?php _e( 'Grid', self::$text_domain); ?></option>
		<option value="slider" <?php echo isset($layout) && $layout == 'slider' ? 'selected' : ''; ?>><?php _e( 'Slider', self::$text_domain); ?></option>
		<option value="fancy_colors" <?php echo isset($layout) && $layout == 'fancy_colors' ? 'selected' : ''; ?>><?php _e( 'Fancy Colors', self::$text_domain); ?></option>
		<option value="colored_tabs" <?php echo isset($layout) && $layout == 'colored_tabs' ? 'selected' : ''; ?>><?php _e( 'Colored Tabs', self::$text_domain); ?></option>
		<option value="image_flip" <?php echo isset($layout) && $layout == 'image_flip' ? 'selected' : ''; ?>><?php _e( 'Image Flip', self::$text_domain); ?></option>
	</select><br/>
	<em><?php _e('The layout in which the popular posts will be displayed', self::$text_domain); ?></em><br/>
	<em><?php _e('Please save widget before changing this setting.', self::$text_domain); ?></em>
</p>

<!-- Number of Posts -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'num_of_posts' ); ?>"><?php _e( 'Number of Posts:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'num_of_posts' ); ?>" name="<?php echo $this->get_field_name( 'num_of_posts' ); ?>">
		<?php for ($i = 1; $i < 21; $i++) { ?>
		<option value="<?php echo $i; ?>" <?php echo isset($num_of_posts) && (int) $num_of_posts == $i ? 'selected' : ''; ?>><?php _e($i, self::$text_domain); ?></option>
		<?php } ?>
	</select><br/>
	<em><?php _e('The total number of posts that are displayed.', self::$text_domain); ?></em>
</p>

<!-- Grid Size -->

<p class="<?php echo $id_prefix; ?>grid-size">
	<strong><label for="<?php echo $this->get_field_id( 'grid_size' ); ?>"><?php _e( 'Grid Size:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'grid_size' ); ?>" name="<?php echo $this->get_field_name( 'grid_size' ); ?>">
		<option value="small" <?php echo isset($grid_size) && $grid_size == 'small' ? 'selected' : ''; ?>><?php _e( 'Small', self::$text_domain); ?></option>
		<option value="medium" <?php echo isset($grid_size) && $grid_size == 'medium' ? 'selected' : ''; ?>><?php _e( 'Medium', self::$text_domain); ?></option>
		<option value="large" <?php echo isset($grid_size) && $grid_size == 'large' ? 'selected' : ''; ?>><?php _e( 'Large', self::$text_domain); ?></option>
	</select><br/>
	<em><?php _e('The size of the images in the grid', self::$text_domain); ?></em>
</p>

<!-- Show Category -->

<p class="<?php echo $id_prefix; ?>post-meta">
	<strong><label for="<?php echo $this->get_field_id( 'show_category' ); ?>"><?php _e( 'Show Category:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'show_category' ); ?>" name="<?php echo $this->get_field_name( 'show_category' ); ?>" type="checkbox" <?php echo isset( $show_category ) && $show_category ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Show the first category for each post.', self::$text_domain); ?></em>
</p>

<!-- Show Author -->

<p class="<?php echo $id_prefix; ?>post-meta">
	<strong><label for="<?php echo $this->get_field_id( 'show_author' ); ?>"><?php _e( 'Show Author:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'show_author' ); ?>" name="<?php echo $this->get_field_name( 'show_author' ); ?>" type="checkbox" <?php echo isset( $show_author ) && $show_author ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Show the author for each post.', self::$text_domain); ?></em>
</p>

<!-- Show Post Date -->

<p class="<?php echo $id_prefix; ?>post-meta">
	<strong><label for="<?php echo $this->get_field_id( 'show_post_date' ); ?>"><?php _e( 'Show Post Date:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'show_post_date' ); ?>" name="<?php echo $this->get_field_name( 'show_post_date' ); ?>" type="checkbox" <?php echo isset( $show_post_date ) && $show_post_date ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Show the post date for each post.', self::$text_domain); ?></em>
</p>

<!-- Show Comments Count -->

<p class="<?php echo $id_prefix; ?>comments">
	<strong><label for="<?php echo $this->get_field_id( 'show_comments' ); ?>"><?php _e( 'Show Comments Count:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'show_comments' ); ?>" name="<?php echo $this->get_field_name( 'show_comments' ); ?>" type="checkbox" <?php echo isset( $show_comments ) && $show_comments ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Show the comments count for each post.', self::$text_domain); ?></em>
</p>

<!-- Numbered List Style -->

<p class="<?php echo $id_prefix; ?>numbered-list">
	<strong><label for="<?php echo $this->get_field_id( 'numbered_list_style' ); ?>"><?php _e( 'Numbered List Style:', self::$text_domain); ?></label></strong>
	<select id="<?php echo $this->get_field_id( 'numbered_list_style' ); ?>" name="<?php echo $this->get_field_name( 'numbered_list_style' ); ?>" class="<?php echo $id_prefix; ?>numbered-list-style">
		<option value="normal" <?php echo isset($numbered_list_style) && $numbered_list_style == 'normal' ? 'selected' : ''; ?>><?php _e( 'Normal', self::$text_domain); ?></option>
		<option value="big" <?php echo isset($numbered_list_style) && $numbered_list_style == 'big' ? 'selected' : ''; ?>><?php _e( 'Big Numbers', self::$text_domain); ?></option>
		<option value="circle" <?php echo isset($numbered_list_style) && $numbered_list_style == 'circle' ? 'selected' : ''; ?>><?php _e( 'Circle Numbers', self::$text_domain); ?></option>
	</select><br/>
	<em><?php _e('The style of the numbered list', self::$text_domain); ?></em>
</p>

<!-- Numbered List Color Style -->

<p class="<?php echo $id_prefix; ?>numbered-list <?php echo $id_prefix; ?>numbered-list-color">
	<strong><label for="<?php echo $this->get_field_id( 'numbered_list_color' ); ?>"><?php _e( 'Number Color:', self::$text_domain); ?></label></strong><br/>
	<input id="<?php echo $this->get_field_id( 'numbered_list_color' ); ?>" name="<?php echo $this->get_field_name( 'numbered_list_color' ); ?>" class="nl-color-picker" value="<?php echo esc_attr( $numbered_list_color ); ?>"><br/>
	<em><?php _e('The color of each number in the list.', self::$text_domain); ?></em><br/>
	<em><?php _e('Click inside textfield to bring up color picker.', self::$text_domain); ?></em>
</p>

<!-- Numbered List Background Color Style -->

<p class="<?php echo $id_prefix; ?>numbered-list <?php echo $id_prefix; ?>numbered-list-circle-color">
	<strong><label for="<?php echo $this->get_field_id( 'numbered_list_circle_color' ); ?>"><?php _e( 'Circle Background Color:', self::$text_domain); ?></label></strong><br/>
	<input id="<?php echo $this->get_field_id( 'numbered_list_circle_color' ); ?>" name="<?php echo $this->get_field_name( 'numbered_list_circle_color' ); ?>" class="nl-circle-color-picker" value="<?php echo esc_attr( $numbered_list_circle_color ); ?>"><br/>
	<em><?php _e('The circle background color of each number in the list.', self::$text_domain); ?></em><br/>
	<em><?php _e('Click inside textfield to bring up color picker.', self::$text_domain); ?></em>
</p>

<!-- Fancy Colors -->

<p class="<?php echo $id_prefix; ?>fancy-colors">
	<strong><label for="<?php echo $this->get_field_id( 'fancy_colors' ); ?>"><?php _e( 'Fancy Colors:', self::$text_domain); ?></label></strong><br/>
	<input id="<?php echo $this->get_field_id( 'fancy_colors' ); ?>" name="<?php echo $this->get_field_name( 'fancy_colors' ); ?>" value="<?php echo esc_attr( $fancy_colors ); ?>" class="<?php echo self::$prefix_dash; ?>fancy-colors-selectize" style="display:none;"><br/>
	<em class="<?php echo $id_prefix; ?>fancy-colors"><?php _e('The background color of each item.  Drag and drop to re-order colors.', self::$text_domain); ?></em>
</p>

<!-- Show Navigation Items -->

<p class="<?php echo $id_prefix; ?>show-nav">
	<strong><label for="<?php echo $this->get_field_id( 'show_nav' ); ?>"><?php _e( 'Show Navigation Buttons:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'show_nav' ); ?>" name="<?php echo $this->get_field_name( 'show_nav' ); ?>" class="<?php echo $id_prefix; ?>show-nav" type="checkbox" <?php echo isset( $show_nav ) && $show_nav ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Show the previous and next buttons for the slider.', self::$text_domain); ?></em>
</p>

<!-- Style Override -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'style_override' ); ?>"><?php _e( 'Theme Style Override:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'style_override' ); ?>" name="<?php echo $this->get_field_name( 'style_override' ); ?>" class="<?php echo $id_prefix; ?>style-override" type="checkbox" <?php echo isset( $style_override ) && $style_override ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Use your own custom styling for text and background, or your themes styling.', self::$text_domain); ?></em>
</p>

<!-- Color -->

<p class="<?php echo $id_prefix; ?>color">
	<strong><label for="<?php echo $this->get_field_id( 'color' ); ?>"><?php _e( 'Color:', self::$text_domain); ?></label></strong><br/>
	<input id="<?php echo $this->get_field_id( 'color' ); ?>" name="<?php echo $this->get_field_name( 'color' ); ?>" class="color-picker" value="<?php echo esc_attr( $color ); ?>" data-default-color="#0000ff"><br/>
	<em><?php _e('The background color of the image tiles.', self::$text_domain); ?></em><br/>
	<em><?php _e('Click inside textfield to bring up color picker.', self::$text_domain); ?></em>
</p>

<!-- Text Color -->

<p class="<?php echo $id_prefix; ?>text-color">
	<strong><label for="<?php echo $this->get_field_id( 'text_color' ); ?>"><?php _e( 'Text Color:', self::$text_domain); ?></label></strong><br/>
	<input id="<?php echo $this->get_field_id( 'text_color' ); ?>" name="<?php echo $this->get_field_name( 'text_color' ); ?>" class="color-picker" value="<?php echo esc_attr( $text_color ); ?>" data-default-color="#ffffff"><br/>
	<em><?php _e('The text color for each item.', self::$text_domain); ?></em><br/>
	<em><?php _e('Click inside textfield to bring up color picker.', self::$text_domain); ?></em>
</p>

<!-- Display Asynchronously -->

<p>
	<strong><label for="<?php echo $this->get_field_id( 'async' ); ?>"><?php _e( 'Display Asynchronously:', self::$text_domain); ?></label></strong>
	<input id="<?php echo $this->get_field_id( 'async' ); ?>" name="<?php echo $this->get_field_name( 'async' ); ?>" type="checkbox" <?php echo isset( $async ) && $async ? 'checked="checked"' : ''; ?>><br/>
	<em><?php _e('Whether or not to display data asynchronously using AJAX.', self::$text_domain); ?></em>
</p>

<!-- ID -->

<p>
	<strong><label><?php _e( 'ID:', self::$text_domain); ?></label></strong>
	<code><?php _e($this->id, self::$text_domain); ?></code>
</p>

<script type="text/javascript">
	jQuery(document).ready(function($){

		var prefix = "<?php echo $id_prefix; ?>";

		// Hide and show color options

		$("." + prefix + "color").hide();
		$("." + prefix + "text-color").hide();

		if ($("." + prefix + "style-override").prop('checked')) {
			$("." + prefix + "color").show();
			$("." + prefix + "text-color").show();
		}

		$("." + prefix + "style-override").change(function(){

			$("." + prefix + "color").hide();
			$("." + prefix + "text-color").hide();


			if ($(this).prop('checked')) {
				$("." + prefix + "color").show();
				$("." + prefix + "text-color").show();
			}

		});

		// Hide and show layout options

		$("." + prefix + "color").hide();
		$("." + prefix + "fancy-colors").hide();
		$(".nnr-rp-fancy-colors-selectize").hide();
		$("." + prefix + "post-meta").hide();
		$("." + prefix + "views").hide();
		$("." + prefix + "comments").hide();
		$("." + prefix + "grid-size").hide();
		$("." + prefix + "numbered-list").hide();
		$("." + prefix + "show-nav").hide();

		if ($("." + prefix + "layout").val() == 'image_title' ||
			$("." + prefix + "layout").val() == 'colored_tabs' ||
			$("." + prefix + "layout").val() == 'image_flip') {

			$("." + prefix + "color").show();
		}

		if ($("." + prefix + "layout").val() != 'masonry' &&
			$("." + prefix + "layout").val() != 'grid') {

			$("." + prefix + "post-meta").show();
			$("." + prefix + "views").show();
			$("." + prefix + "comments").show();
		}

		if ($("." + prefix + "layout").val() == 'grid') {
			$("." + prefix + "grid-size").show();
		}

		if ($("." + prefix + "layout").val() == 'numbered_list') {

			$("." + prefix + "color").hide();
			$("." + prefix + "text-color").hide();

			$("." + prefix + "numbered-list").show();
			$("." + prefix + "numbered-list-color").hide();
			$("." + prefix + "numbered-list-circle-color").hide();

			if ($("." + prefix + "numbered-list-style").val() == 'circle') {
				$("." + prefix + "numbered-list-color").show();
				$("." + prefix + "numbered-list-circle-color").show();
			} else if ($("." + prefix + "numbered-list-style").val() == 'big') {
				$("." + prefix + "numbered-list-color").show();
			}
		}

		$("." + prefix + "numbered-list-style").change(function(){

			$("." + prefix + "numbered-list-color").hide();
			$("." + prefix + "numbered-list-circle-color").hide();

			if ($(this).val() == 'circle') {
				$("." + prefix + "numbered-list-color").show();
				$("." + prefix + "numbered-list-circle-color").show();
			} else if ($(this).val() == 'big') {
				$("." + prefix + "numbered-list-color").show();
			}
		});

		if ($("." + prefix + "layout").val() == 'fancy_colors' ||
			$("." + prefix + "layout").val() == 'colored_tabs') {
			$("." + prefix + "fancy-colors").show();
			$(".nnr-rp-fancy-colors-selectize").show();
		}

		if ($("." + prefix + "layout").val() == 'slider') {
			$("." + prefix + "show-nav").show();
		}

		$("." + prefix + "layout").change(function(){

			$("." + prefix + "color").hide();
			$("." + prefix + "fancy-colors").hide();
			$("." + prefix + "post-meta").hide();
			$("." + prefix + "views").hide();
			$("." + prefix + "comments").hide();
			$("." + prefix + "grid-size").hide();
			$("." + prefix + "numbered-list").hide();
			$("." + prefix + "show-nav").hide();


			if ($("." + prefix + "style-override").prop('checked')) {
				$("." + prefix + "color").show();
				$("." + prefix + "text-color").show();
			}

			if ($(this).val() == 'image_title' ||
				$(this).val() == 'colored_tabs'||
				$(this).val() == 'image_flip') {

				$("." + prefix + "color").show();
			}

			if ($(this).val() != 'masonry' && $(this).val() != 'grid') {
				$("." + prefix + "post-meta").show();
				$("." + prefix + "views").show();
				$("." + prefix + "comments").show();
			}

			if ($(this).val() == 'grid') {
				$("." + prefix + "grid-size").show();
			}

			if ($(this).val() == 'numbered_list') {

				$("." + prefix + "color").hide();
				$("." + prefix + "text-color").hide();

				$("." + prefix + "numbered-list").show();
				$("." + prefix + "numbered-list-color").hide();
				$("." + prefix + "numbered-list-circle-color").hide();

				if ($("." + prefix + "numbered-list-style").val() == 'circle') {
					$("." + prefix + "numbered-list-color").show();
					$("." + prefix + "numbered-list-circle-color").show();
				} else if ($("." + prefix + "numbered-list-style").val() == 'big') {
					$("." + prefix + "numbered-list-color").show();
				}
			}

			if ($(this).val() == 'fancy_colors' ||
				$(this).val() == 'colored_tabs') {
				$("." + prefix + "fancy-colors").show();
			}

			if ($(this).val() == 'slider') {
				$("." + prefix + "show-nav").show();
			}

		});

		// Hide and show category options

		$("." + prefix + "category").hide();
		$("." + prefix + "tag").hide();
		$("." + prefix + "custom-post-type").hide();

		if ($("." + prefix + "content").val() == 'category') {
			$("." + prefix + "category").show();
		} else if ($("." + prefix + "content").val() == 'tag') {
			$("." + prefix + "tag").show();
		} else if ($("." + prefix + "content").val() == 'custom_post_type') {
			$("." + prefix + "custom-post-type").show();
		}

		$("." + prefix + "content").change(function(){
			$("." + prefix + "category").hide();
			$("." + prefix + "tag").hide();
			$("." + prefix + "custom-post-type").hide();

			if ($(this).val() == 'category') {
				$("." + prefix + "category").show();
			} else if ($(this).val() == 'tag') {
				$("." + prefix + "tag").show();
			} else if ($(this).val() == 'custom_post_type') {
				$("." + prefix + "custom-post-type").show();
			}
		});
	});
</script>